# $Revision: 1.15 $, $Date: 2007/02/12 22:09:23 $
Summary:	DeFX Multi-effects processor Plug-in for XMMS
Summary(pl.UTF-8):	Procesor efektów DeFX - wtyczka dla XMMS
Name:		xmms-effect-defx
Version:	0.9.9
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/defx/xmms-defx-%{version}.tar.gz
# Source0-md5:	89d1e2dce6fcb8eedada91891366a9ba
URL:		http://defx.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DeFX is a plug-in module for XMMS. It supports 6 types of effects,
grouped into 4 different modules:
- Karaoke: Removes the song's voices trying to preserve the bass and
  drums
- Panning: Smoothly selects between the two stereo channels
- Modulation: Three classical effects. Flange, phaser and chorus
- Reverberation: You can simulate your songs as being played in a
  huge room.

%description -l pl.UTF-8
DeFX to wtyczka do XMMS umożliwiająca uzyskanie 6 typów efektów,
pogrupowanych w 4 oddzielne moduły:
- Karaoke: usuwa głos starając się zachować resztę dźwięków,
- Panning: płynne przejścia między kanałami stereo,
- Modulacja: trzy klasyczne efekty: flange, fazer i chorus,
- Rewerbracja: symuluje odtwarzanie w dużym pomieszczeniu.

%prep
%setup -q -n xmms-defx-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-c %{rpmcflags} -fPIC -ffast-math `gtk-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_effect_plugindir}

install lib/libdefx.so $RPM_BUILD_ROOT%{xmms_effect_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* README
%attr(755,root,root) %{xmms_effect_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-defx.spec,v $
Revision 1.15  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2004/10/31 12:55:15  paladine
- spaces->tabs

Revision 1.12  2004/02/09 19:11:13  qboosh
- oops, forgot to merge setup update

Revision 1.11  2004/02/09 19:07:35  qboosh
- update to 0.9.9 by Marcin Gajda
- added missing -fPIC to CFLAGS

Revision 1.10  2003/08/04 22:52:16  grzegol
- fixed installation

Revision 1.9  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.8  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/06 01:50:52  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.5  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.4  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.3  2002/07/14 22:22:34  qboosh
- little better pl description, cosmetics, fixed changelog
